Subject: Re: [PATCH net-next 5/8] ice: register 1588 PTP clock device object for E810 devices

From: Richard Cochran <[email-masked]>
Date: Mon, 14 Jun 2021 22:08:50 -0700

On Mon, Jun 14, 2021 at 11:50:43AM -0700, Jakub Kicinski wrote:
> tx->freq is a long, and the conversion to ppb can overflow the s32 type.
> E.g. 281474976645 will become -2 AFAICT. I hacked up phc_ctl to not do
> range checking and kernel happily accepted that value. Shall we do this?

Yes, you are right.  The range check has a bug, and your fix is good.

Thanks,
Richard